%define upstream_name    Games-Risk
%define upstream_version 4.000

Name:       prisk
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Classical 'risk' board game
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::HomeDir::PathClass)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(FindBin)
BuildRequires: perl(Hash::NoRef)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Image::Magick)
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::AllUtils)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Kernel)
BuildRequires: perl(POE::Loop::Tk)
BuildRequires: perl(Path::Class) >= 0.220.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Padding)
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Action)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::BrowseEntry)
BuildRequires: perl(Tk::Font)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Pod::Text)
BuildRequires: perl(Tk::Role::Dialog) >= 1.112.380
BuildRequires: perl(Tk::Role::HasWidgets) >= 1.112.70
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Tk::TableMatrix)
BuildRequires: perl(Tk::ToolBar)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

Recommends: prisk-maps-countries
Recommends: prisk-maps-history
Recommends: prisk-maps-imaginary

%description
Risk is a strategic turn-based board game. Players control armies, with
which they attempt to capture territories from other players. The goal of
the game is to control all the territories ('conquer the world') through
the elimination of the other players. Using area movement, Risk ignores
realistic limitations, such as the vast size of the world, and the
logistics of long campaigns.

This distribution implements a graphical interface for this game.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
# xvfb-run is broken currently, even if all the tests pass :-(
#xvfb-run ./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes HACKING LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/prisk
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 4.0.0-10.mga10
+ Revision: 2212713
- Mageia 10 Mass Rebuild

* Wed Mar 30 2022 umeabot <umeabot> 4.0.0-9.mga9
+ Revision: 1834401
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.0.0-8.mga8
+ Revision: 1499274
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.0.0-7.mga7
+ Revision: 1274481
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.0.0-6.mga6
+ Revision: 1036254
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 4.0.0-5.mga6
+ Revision: 940730
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.0-4.mga5
+ Revision: 744790
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.0-3.mga5
+ Revision: 687779
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Jun 27 2014 jquelin <jquelin> 4.0.0-2.mga5
+ Revision: 640322
- perl 5.20 rebuild

* Tue Apr 15 2014 jquelin <jquelin> 4.0.0-1.mga5
+ Revision: 614812
- update to 4.000

* Thu Mar 20 2014 jquelin <jquelin> 3.112.820-10.mga5
+ Revision: 606115
- perl 5.18.2 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.112.820-9.mga4
+ Revision: 525757
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 jquelin <jquelin> 3.112.820-8.mga4
+ Revision: 434515
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 3.112.820-7.mga3
+ Revision: 403861
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.112.820-6.mga3
+ Revision: 378208
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 3.112.820-5.mga3
+ Revision: 315062
- perl 5.16.2 shebang rebuild

* Tue Oct 02 2012 jquelin <jquelin> 3.112.820-4.mga3
+ Revision: 302042
- wrong shebang

* Mon Jun 04 2012 jquelin <jquelin> 3.112.820-3.mga3
+ Revision: 254325
- rebuild to fix new shebang with perl 5.16

* Fri Oct 14 2011 jquelin <jquelin> 3.112.820-2.mga2
+ Revision: 155151
- perl 5.14.2 rebuild

* Thu Oct 13 2011 jquelin <jquelin> 3.112.820-1.mga2
+ Revision: 154311
- update to 3.112820

* Wed Sep 28 2011 jquelin <jquelin> 3.112.710-1.mga2
+ Revision: 149868
- update to 3.112710

* Wed Sep 28 2011 jquelin <jquelin> 3.112.690-2.mga2
+ Revision: 149846
- adding extra maps as suggests:

* Mon Sep 26 2011 jquelin <jquelin> 3.112.690-1.mga2
+ Revision: 148666
- update to 3.112690

* Tue Sep 20 2011 jquelin <jquelin> 3.112.590-1.mga2
+ Revision: 145998
- update to 3.112590

* Tue Aug 30 2011 jquelin <jquelin> 3.112.410-1.mga2
+ Revision: 136547
- update to 3.112410
- update to 3.112010

* Sun Jun 19 2011 jquelin <jquelin> 3.103.40-2.mga2
+ Revision: 109903
- rebuild script for perl 5.14.1

* Wed Jan 26 2011 jquelin <jquelin> 3.103.40-1.mga1
+ Revision: 40778
- mageia rebuild
- imported package prisk

